//ライセンス情報はAgeOnフォルダのLISENCEフォルダを参照してください
using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;
using System.Drawing;

using nispi.controlclass;

namespace nispi
{
    class MapControlTabMainMenu : MapControlTabMethod
    {
        //メインメニュー
        public ToolStripMenuItemParts menuItemUpdateParts;
        public ToolStripMenuItemParts menuItemOpenFolderParts;

        public MapControlTabEvent mapControlTabEvent;

        public MapControlTabMainMenu(ToolStripMenuItemParts menuItem)
        {
            menuItemUpdateParts = ToolStripMenuItemPartsManager.Pop();
            menuItemOpenFolderParts = ToolStripMenuItemPartsManager.Pop();

            menuItemUpdateParts.Text = "再読み込み";
            menuItemUpdateParts.Image = Resources.reload;

            menuItemOpenFolderParts.Text = "保存フォルダを開く";
            
            menuItem.DropDownItemsAdd(menuItemUpdateParts);
            menuItem.DropDownItemsAdd(menuItemOpenFolderParts);

            mapControlTabEvent = new MapControlTabEvent(this);
        }

        public void SetMainMenu()
        {
        }
    }
}
